Name:          rapidxml
Version:       1.13
Release:       %mkrel 9
Summary:       Fast XML parser
License:       Boost or MIT
URL:           https://rapidxml.sourceforge.net/
Source0:       https://downloads.sourceforge.net/%{name}/%{name}-%{version}-with-tests.zip
Patch0:        %{name}-declarations.patch
Group:         Development/C++
BuildRequires: dos2unix
BuildArch:     noarch


%description
RapidXml is an attempt to create the fastest XML parser possible, while
retaining usability, portability and reasonable W3C compatibility. It is an
in-situ parser written in modern C++, with parsing speed approaching that of
strlen function executed on the same data.

%package devel
Summary:       Fast XML parser
Provides:      %{name}-static = %{version}-%{release}

%description devel
RapidXml is an attempt to create the fastest XML parser possible, while
retaining usability, portability and reasonable W3C compatibility. It is an
in-situ parser written in modern C++, with parsing speed approaching that of
strlen function executed on the same data.

%prep
%setup -qn %{name}-%{version}-with-tests
%patch -P 0 -p1

dos2unix license.txt

# Rename it to .h (but keep .hpp for tests)
sed -i 's/.hpp/.h/g' manual.html
for HPP in *.hpp; do
  cp -p $HPP ${HPP%hpp}h
  sed -i 's/.hpp/.h/g' ${HPP%hpp}h
done

%build
cd tests
# -jX is useless here
make build-g++-debug
cd -

%install
for H in *.h; do
  install -Dpm0644 $H %{buildroot}%{_includedir}/$H
done

%check
cd tests
# -jX is useless here
make run-g++-debug
cd -

%files devel
%doc license.txt manual.html
%{_includedir}/*



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.13-9.mga10
+ Revision: 2232190
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 1.13-8.mga10
+ Revision: 2128148
- Rebuild for patchN deprecation

* Sun Mar 20 2022 umeabot <umeabot> 1.13-7.mga9
+ Revision: 1806877
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.13-6.mga8
+ Revision: 1499521
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.13-5.mga7
+ Revision: 1274871
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.13-4.mga6
+ Revision: 933831
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 747111
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-2.mga5
+ Revision: 688611
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 spuhler <spuhler> 1.13-1.mga5
+ Revision: 633323
- first release after import from Fedora
- imported package rapidxml


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 20 2013 Miro Hrončok <mhroncok@redhat.com> - 1.13-2
- devel subpackage now provides -static.

* Sat Feb 02 2013 Miro Hrončok <mhroncok@redhat.com> - 1.13-1
- Initial release
